echo off

cd %VAR%
..\..\..\util\setconsole.exe /reset
cls
echo.
echo Press 1 for Last Half of Darkness 1990 Original Release
echo Press 2 for Last Half of Darkness 1990 VGA Release
echo Press 3 for Last Half of Darkness 1991 VGA Release
echo Press 4 to Quit
echo.
echo The 1990 release uses the Covox Speech Thing for text-to-speech sounds.
echo The 1990 VGA release replaced this with sampled sounds.
echo The 1991 VGA completely changed the games art style, sampled, and some content.
echo Some rooms were removed and all deaths were removed.
echo.
..\..\..\util\choice /C:1234 /N Please Choose:

if errorlevel = 4 goto quit
if errorlevel = 3 goto 1991
if errorlevel = 2 goto 1990-2
if errorlevel = 1 goto 1990

:1990
..\..\..\util\setconsole.exe /minimize
cd ..
cd ..
cd ..
".\emulators\dosbox\%dosbox%" -conf "%var%\dosbox.conf" -conf ".\emulators\dosbox\options.conf" -conf %conf% -noconsole -exit -nomenu
del stdout.txt
del stderr.txt
if exist glide.* del glide.*
if exist .\eXoDOS\CWSDPMI.swp del .\eXoDOS\CWSDPMI.swp
goto end

:1990-2
..\..\..\util\setconsole.exe /minimize
cd ..
cd ..
cd ..
".\emulators\dosbox\%dosbox%" -conf "%var%\dosbox2.conf" -conf ".\emulators\dosbox\options.conf" -conf %conf% -noconsole -exit -nomenu
del stdout.txt
del stderr.txt
if exist glide.* del glide.*
if exist .\eXoDOS\CWSDPMI.swp del .\eXoDOS\CWSDPMI.swp

:1991
..\..\..\util\setconsole.exe /minimize
cd ..
cd ..
cd ..
".\emulators\dosbox\%dosbox%" -conf "%var%\dosbox3.conf" -conf ".\emulators\dosbox\options.conf" -conf %conf% -noconsole -exit -nomenu
del stdout.txt
del stderr.txt
if exist glide.* del glide.*
if exist .\eXoDOS\CWSDPMI.swp del .\eXoDOS\CWSDPMI.swp

goto end

:end